############################################################## 
## MOD Title: Topic Preview
## MOD Author: Porutchik < garnitur356 [at] mail15.com > (Sergey) http://forum.aeroion.ru 
## MOD Author: pukapuka <pukalite@gmail.com> (N/A) www.lazyphp.net
## MOD Description: This Mod adds the ability to preview a topic (the first post of topic) in a forum. 
##					The preview text length can be changed in control panel. 
##					People now can preview the lastest post of each topic.
##					Part 2: Required part for boards with Topics Sorted By Type At Forum View by Xpert
## MOD Version: 1.0.2
## 
## Installation Level: Easy 
## Installation Time: ~2 Minutes 
## Files To Edit (2):
##		viewforum.php
##		templates/subSilver/viewforum_body.tpl
##
## License: http://opensource.org/licenses/gpl-license.php GNU General Public License v2 
############################################################## 
## For security purposes, please check: http://www.phpbb.com/mods/ 
## for the latest version of this MOD. Although MODs are checked 
## before being allowed in the MODs Database there is no guarantee 
## that there are no security problems within the MOD. No support 
## will be given for MODs not found within the MODs Database which 
## can be found at http://www.phpbb.com/mods/ 
############################################################## 
## Author Notes: 
## 
## NOTE:
##	You must have Topics Sorted By Type At Forum View by Xpert installed in order for this MOD to work.
##  Otherwise it is worthless.
##
## MOD original author: pukapuka <pukalite@gmail.com> www.lazyphp.net
## 
##
############################################################## 
## MOD History: 
##	
##	2007-02-26 	- Version 1.0.2
##			- modify instructions to be Topics Sorted By Type At Forum View by Xpert compliant
##	2006-11-21 	- Version 1.0.1
##			- small change code
##	2006-09-07 	- Version 1.0.0
##			- Initial Release
## 
############################################################## 
## Before Adding This MOD To Your Forum, You Should Back Up All Files Related To This MOD 
############################################################## 

#
#-----[ FIND ]---------------------------------------------
#
			'U_VIEW_TOPIC' => $view_topic_url)
		);

# 
#-----[ AFTER, ADD ]-------------------------------------- 
#
		if ($replies > 0)
		{
			$poster_id = $topic_rowset[$i]['id2'];
			$last_post_preview = $post_text_list[$topic_rowset[$i]['topic_last_post_id']];
			$template->assign_block_vars($topic_block . '.switch_last_post', array(
				'LAST_POST_DIV_ID' => 'last_post_div_' .$topic_id,
				'LAST_POST_PREVIEW' => $last_post_preview)
			);
		}
		else
		{
			$template->assign_block_vars($topic_block . '.switch_no_last_post', array());
		}

#
#-----[ FIND ]---------------------------------------------
# NOTE: this is a partial match
#
	  <td class="row1" width="100%"><span class="topictitle">{anno_row.NEWEST_POST_IMG}{anno_row.TOPIC_TYPE}

#
#-----[ IN LINE FIND ]---------------------------------------------
#
class="row1"

#
#-----[ IN LINE AFTER, ADD ]---------------------------------------------
#
 onmouseover="show_div('{anno_row.TOPIC_DIV_ID}', 'topic')" onmouseout="hide_div('{anno_row.TOPIC_DIV_ID}')"

#
#-----[ AFTER, ADD ]---------------------------------------------
#
		<script language="JavaScript">
		<!--
		write_preview_topic('{anno_row.TOPIC_DIV_ID}', "{anno_row.TOPIC_PREVIEW}");
		//-->
		</script>

#
#-----[ FIND ]---------------------------------------------
# NOTE: this is a partial match
#
	  <td class="row3Right" align="center" valign="middle" nowrap="nowrap">

# 
#-----[ REPLACE WITH ]-------------------------------------- 
#
	  <td class="row3Right" align="left" valign="middle" nowrap="nowrap">
		<!-- BEGIN switch_last_post -->
		<script language="JavaScript">
		<!--
		write_preview_last_post('{anno_row.U_LAST_POST}', '{anno_row.switch_last_post.LAST_POST_DIV_ID}', '{anno_row.LAST_POST_IMG}', '{anno_row.switch_last_post.LAST_POST_PREVIEW}');
		//-->
		</script>
		<!-- END switch_last_post -->
		<!-- BEGIN switch_no_last_post -->
		<a href="{anno_row.U_LAST_POST}">{anno_row.LAST_POST_IMG}</a>
		<!-- END switch_no_last_post -->
		<span class="postdetails">{anno_row.LAST_POST_TIME}<br />{anno_row.LAST_POST_AUTHOR}</span>
		</td>

#
#-----[ FIND ]---------------------------------------------
# NOTE: this is a partial match
#
	  <td class="row1" width="100%"><span class="topictitle">{sticky_row.NEWEST_POST_IMG}{sticky_row.TOPIC_TYPE}

#
#-----[ IN LINE FIND ]---------------------------------------------
#
class="row1"

#
#-----[ IN LINE AFTER, ADD ]---------------------------------------------
#
 onmouseover="show_div('{sticky_row.TOPIC_DIV_ID}', 'topic')" onmouseout="hide_div('{sticky_row.TOPIC_DIV_ID}')"

#
#-----[ AFTER, ADD ]---------------------------------------------
#
		<script language="JavaScript">
		<!--
		write_preview_topic('{sticky_row.TOPIC_DIV_ID}', "{sticky_row.TOPIC_PREVIEW}");
		//-->
		</script>

#
#-----[ FIND ]---------------------------------------------
# NOTE: this is a partial match
#
	  <td class="row3Right" align="center" valign="middle" nowrap="nowrap">

# 
#-----[ REPLACE WITH ]-------------------------------------- 
#
	  <td class="row3Right" align="left" valign="middle" nowrap="nowrap">
		<!-- BEGIN switch_last_post -->
		<script language="JavaScript">
		<!--
		write_preview_last_post('{sticky_row.U_LAST_POST}', '{sticky_row.switch_last_post.LAST_POST_DIV_ID}', '{sticky_row.LAST_POST_IMG}', '{sticky_row.switch_last_post.LAST_POST_PREVIEW}');
		//-->
		</script>
		<!-- END switch_last_post -->
		<!-- BEGIN switch_no_last_post -->
		<a href="{sticky_row.U_LAST_POST}">{sticky_row.LAST_POST_IMG}</a>
		<!-- END switch_no_last_post -->
		<span class="postdetails">{sticky_row.LAST_POST_TIME}<br />{sticky_row.LAST_POST_AUTHOR}</span>
		</td>

#
#-----[ FIND ]---------------------------------------------
# NOTE: this is a partial match
#
	  <td class="row1" width="100%"><span class="topictitle">{normal_row.NEWEST_POST_IMG}{normal_row.TOPIC_TYPE}

#
#-----[ IN LINE FIND ]---------------------------------------------
#
class="row1"

#
#-----[ IN LINE AFTER, ADD ]---------------------------------------------
#
 onmouseover="show_div('{normal_row.TOPIC_DIV_ID}', 'topic')" onmouseout="hide_div('{normal_row.TOPIC_DIV_ID}')"

#
#-----[ AFTER, ADD ]---------------------------------------------
#
		<script language="JavaScript">
		<!--
		write_preview_topic('{normal_row.TOPIC_DIV_ID}', "{normal_row.TOPIC_PREVIEW}");
		//-->
		</script>

#
#-----[ FIND ]---------------------------------------------
# NOTE: this is a partial match
#
	  <td class="row3Right" align="center" valign="middle" nowrap="nowrap">

# 
#-----[ REPLACE WITH ]-------------------------------------- 
#
	  <td class="row3Right" align="left" valign="middle" nowrap="nowrap">
		<!-- BEGIN switch_last_post -->
		<script language="JavaScript">
		<!--
		write_preview_last_post('{normal_row.U_LAST_POST}', '{normal_row.switch_last_post.LAST_POST_DIV_ID}', '{normal_row.LAST_POST_IMG}', '{normal_row.switch_last_post.LAST_POST_PREVIEW}');
		//-->
		</script>
		<!-- END switch_last_post -->
		<!-- BEGIN switch_no_last_post -->
		<a href="{normal_row.U_LAST_POST}">{normal_row.LAST_POST_IMG}</a>
		<!-- END switch_no_last_post -->
		<span class="postdetails">{normal_row.LAST_POST_TIME}<br />{normal_row.LAST_POST_AUTHOR}</span>
		</td>

#
#-----[ SAVE/CLOSE ALL FILES ]--------------------------
#
# EoM